//relatorio
import express from "express";

import isAuth from "../middleware/isAuth";

import * as ReportController from "../controllers/ReportController";

const reportRoutes = express.Router();

reportRoutes.get(
  "/reports",
  isAuth,
  ReportController.reportUserByDateStartDateEnd
);

reportRoutes.post("/reports/onqueue", ReportController.reportOnQueue);

reportRoutes.get(
  "/reports/user/services",
  isAuth,
  ReportController.reportUserService
);

reportRoutes.get(
  "/reports/services/numbers",
  isAuth,
  ReportController.reportService
);

reportRoutes.get(
  "/reports/services/queues",
  isAuth,
  ReportController.reportServiceByQueue
);

reportRoutes.get(
  "/reports/messages",
  isAuth,
  ReportController.reportMessagesUserByDateStartDateEnd
);

reportRoutes.get(
  "/reports/count/statusChatEnd",
  isAuth,
  ReportController.reportTicksCountByStatusChatEnds
);

export default reportRoutes;
